Package com.orchestranetworks.workflow

# Interface ScriptTaskBeanContext

All Superinterfaces:
  `ProcessExecutionContext`, `ProcessExecutionInfoContext`

public interface ScriptTaskBeanContext extends ProcessExecutionContext
This interface is used as the context for `ScriptTaskBean` execution.

Contrary to `ScriptTaskContext`, this interface does not extend `DataContext` (access is limited so as to ensure reusability in various contexts).

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.orchestranetworks.workflow.ProcessExecutionContext

  `ProcessExecutionContext.WorkflowPermission`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `registerDataSpaceToCloseOnProcessInstanceTermination(BranchKey aBranchKey)`
  Registers a dataspace that should be closed at process instance termination.
  `void`
  `registerDataSpaceToDeleteOnProcessInstanceTermination(BranchKey aBranchKey)`
  Registers a dataspace the should be deleted at process instance termination.

  ### Methods inherited from interface com.orchestranetworks.workflow.ProcessExecutionContext

  `createMailSpec, getProcessInstanceDescription, getProcessInstanceLabel, modifyProcessPriority`

  ### Methods inherited from interface com.orchestranetworks.workflow.ProcessExecutionInfoContext

  `getProcessInstance, getProcessInstanceCreator, getProcessInstanceKey, getProfileForPermission, getPublishedProcessKey, getRepository, getSession`

- ## Method Details

  - ### registerDataSpaceToCloseOnProcessInstanceTermination

    void registerDataSpaceToCloseOnProcessInstanceTermination(BranchKey aBranchKey)
    Registers a dataspace that should be closed at process instance termination.

    At execution time, when the process instance is terminated, the workflow engine closes all the dataspaces registered by this method that are not already closed.

    Since:
      5.5.0

  - ### registerDataSpaceToDeleteOnProcessInstanceTermination

    void registerDataSpaceToDeleteOnProcessInstanceTermination(BranchKey aBranchKey)
    Registers a dataspace the should be deleted at process instance termination.

    At execution time, when the process instance is terminated, the workflow engine deletes all the dataspaces registered by this method that are not already deleted. If a dataspace has not been closed, the workflow engine automatically closes it before deleting it.

    Since:
      5.5.0